PMLOCK(1)

NAME
pmlock - simple file-based mutex

SYNOPSIS
$PCP_BINADM_DIR/pmlock [ -v ] file

DESCRIPTION
pmlock attempts to acquire an exclusive lock by creating file with a mode of 0.

The exit status is 0 for success, 1 for failure.

To release the lock, unlink file.

In the event of a failure, the -v option produces an explanatory message on stdout.